Bug 758426 - Must re-import embedded wars to take advantage of drift template (invalid filename property)
Must re-import embedded wars to take advantage of drift template (invalid fil...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Documentation (Show other bugs)
4.2
All All
high Severity high (vote)
: ---
: ---
Assigned To: Deon Ballard
Mike Foley
:
Depends On:
Blocks: 707225
  Show dependency treegraph
 
Reported: 2011-11-29 14:21 EST by Jay Shaughnessy
Modified: 2013-01-16 16:16 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-16 16:16:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jay Shaughnessy 2011-11-29 14:21:28 EST
There was a bug prior in RHQ 4.2, and possibly for a while, such that
Embedded WAR resources (Child resources under an EAR resource, like
coregui.war under rhq.ear) had an invalid "Filename" plugin config
property value (and similarly incorrect "Path" trait).

The value was not a true path, it had extraneous information
appended.  

This causes problems for the new Drift support, which relies on the
Filename value being correct, the proper path to the embedded war
directory.  

The problem has been fixed but that means to apply a drift definition 
the existing resource will need to be re-imported, to get the
proper value assigned.
Comment 1 Charles Crouch 2011-11-30 10:46:48 EST
After further discussion, we won't be supporting drift on embedded web apps, so 
the documentation should state that.

Note You need to log in before you can comment on or make changes to this bug.